import led
import time
import asyncio
import radar
import usbinput
import sys



async def main():
    ws2812=led.WS2812FX(10,42)
    ws2812.set_color(led.WS2812FX.BLUE)
    ws2812.set_mode_strip('mode_breath')
    ws2812.start()
    radar_task = asyncio.create_task(radar.start_radar())
    led_task = asyncio.create_task(ws2812.service())
    usbinput_task = asyncio.create_task(usbinput.start(ws2812,radar_task,led_task))
    await usbinput_task

print("main.py started")
asyncio.run(main())




